-- MySQL dump 10.11
--
-- Host: localhost    Database: changedistiller_test
-- ------------------------------------------------------
-- Server version	5.0.45

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `AbstractHistory`
--

DROP TABLE IF EXISTS `AbstractHistory`;
CREATE TABLE `AbstractHistory` (
  `DTYPE` varchar(31) NOT NULL,
  `id` bigint(20) NOT NULL auto_increment,
  `uniqueName` longtext,
  `label` varchar(255) default NULL,
  `method_history` bigint(20) default NULL,
  `innerclass_history` bigint(20) default NULL,
  `attribute_history` bigint(20) default NULL,
  PRIMARY KEY  (`id`),
  KEY `FKC99B39F219CBF26F` (`attribute_history`),
  KEY `FKC99B39F219B603B4` (`method_history`),
  KEY `FKC99B39F2807082B5` (`innerclass_history`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `AbstractHistory`
--

LOCK TABLES `AbstractHistory` WRITE;
/*!40000 ALTER TABLE `AbstractHistory` DISABLE KEYS */;
/*!40000 ALTER TABLE `AbstractHistory` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `Branch`
--

DROP TABLE IF EXISTS `Branch`;
CREATE TABLE `Branch` (
  `id` bigint(20) NOT NULL auto_increment,
  `name` varchar(255) default NULL,
  `parent_branch_fk` bigint(20) default NULL,
  PRIMARY KEY  (`id`),
  KEY `FK771411C2EDD5ACF8` (`parent_branch_fk`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `Branch`
--

LOCK TABLES `Branch` WRITE;
/*!40000 ALTER TABLE `Branch` DISABLE KEYS */;
/*!40000 ALTER TABLE `Branch` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `CommitterRole`
--

DROP TABLE IF EXISTS `CommitterRole`;
CREATE TABLE `CommitterRole` (
  `id` bigint(20) NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `FKB82A470035E618D2` (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `CommitterRole`
--

LOCK TABLES `CommitterRole` WRITE;
/*!40000 ALTER TABLE `CommitterRole` DISABLE KEYS */;
/*!40000 ALTER TABLE `CommitterRole` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `CommitterRole_Revision`
--

DROP TABLE IF EXISTS `CommitterRole_Revision`;
CREATE TABLE `CommitterRole_Revision` (
  `CommitterRole_id` bigint(20) NOT NULL,
  `artifacts_id` bigint(20) NOT NULL,
  PRIMARY KEY  (`CommitterRole_id`,`artifacts_id`),
  UNIQUE KEY `artifacts_id` (`artifacts_id`),
  KEY `FK2F29E65AC043591` (`CommitterRole_id`),
  KEY `FK2F29E65A61E9D6FD` (`artifacts_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `CommitterRole_Revision`
--

LOCK TABLES `CommitterRole_Revision` WRITE;
/*!40000 ALTER TABLE `CommitterRole_Revision` DISABLE KEYS */;
/*!40000 ALTER TABLE `CommitterRole_Revision` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `Content`
--

DROP TABLE IF EXISTS `Content`;
CREATE TABLE `Content` (
  `id` bigint(20) NOT NULL auto_increment,
  `descriptor` varchar(255) default NULL,
  `source` longtext,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=6 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `Content`
--

LOCK TABLES `Content` WRITE;
/*!40000 ALTER TABLE `Content` DISABLE KEYS */;
INSERT INTO `Content` VALUES (1,NULL,'package test;\n\n/**\n * This is our first (left) test class.\n * @author Beat Fluri\n */\npublic class Test {\n	\n	/**\n	 * Yet another attribute\n	 */\n	public String aString = \"test_string\";\n	\n	/*\n	 * Scarab Lord Kungen\n	 */\n	public String aField;\n	\n	public Integer anInteger = new Integer(1);\n	\n	/**\n	 * Yet another method with a comment\n	 * @param number\n	 * @return\n	 */\n	public int foo(int number) {\n		System.out.println(\"left\");\n		\n		// check if number is greater than -1\n		boolean check = number > 0;\n		int a = 0;\n		int b = 2;\n\n		// check the huga number\n		// and some new\n\n		if (check) {\n			/* This is the most beautiful comment in the world\n			 * and soon it will be gone :\'(\n			 */\n			a = 23 + Integer.parseInt(\"42\");\n			b = Math.round(Math.random() /* mimimi */);\n			return a + b;\n		} else {\n			/* huga bimbo */\n			b = Math.abs(number);\n			String.valueOf(true);\n			return b;\n		}\n	}\n	/*\n	 * Inner classes are cool\n	 */	\n	\n	private class Bar {\n		private void method() {\n			System.out.println();\n			System.out.println();\n			System.out.println();\n		}\n	}\n	// the huga bar method\n	public void bar(int test) {\n		System.out.println(\"aString\");\n	}\n\n}\n'),(2,NULL,'package test;\n\n/**\n * This is our second (right) test class.\n * @author Beat Fluri\n */\npublic final class Test {\n	\n	/**\n	 * Yet another changed attribute\n	 */\n	public String aNewString = \"test_string\";\n\n	/*\n	 * Scarab Lord Kungen the Elder\n	 */\n	public int aField;\n	\n	/**\n	 * Yet another method with a better comment\n	 * @param number\n	 * @return\n	 */\n	protected int foo(int number) {\n		\n		// check if number is greater than 0\n		boolean check = number > 0;\n		int a = 0;\n		int b = 2;\n		\n		// check the number\n		\n		if (! check) {\n			a = 23 + Integer.parseInt(\"42\");\n			b = Math.abs(number);\n			return a + b;\n		} else {\n			/* huga bimbo */\n			b = Math.round(Math.random() /* mimimi mi */);\n			String.valueOf(true);\n			return b;\n		}\n		return 42;\n	}\n\n	public void emptyMethod() { }\n	/*\n	 * Inner classes are cool\n	 */	\n	\n	private class Bar {\n		private void newMethod() {\n			System.out.println();\n			System.out.println();\n			System.out.println();		\n		}\n	}\n	// the huga bar method\n	public void newBar(long test) {\n		System.out.println(\"aString\");\n	}\n\n}\n'),(3,NULL,'package test;\n\npublic final class Test {\n	\n	/**\n	 * Yet another attribute\n	 */\n	public String aNewString = \"test_string\";\n\n	/*\n	 * Scarab Lord Kungen the Elder\n	 */\n	public int aField;\n	\n	protected int fooHuga(int number) {\n		\n		// check if number is greater than 0\n		boolean check = number > 0;\n		int a = 0;\n		int b = 2;\n		\n		// check the number\n		\n		if (! check) {\n			a = 23 + Integer.parseInt(\"42\");\n			b = Math.abs(number);\n			return a + b;\n		} else {\n			/* huga bimbo */\n			b = Math.round(Math.random() /* mimimi mi */);\n			String.valueOf(true);\n			return b;\n		}\n		return 42;\n	}\n\n	\n	/*\n	 * Inner classes are cool\n	 */	\n\n	private class Bar {\n		private void newMethod() {\n			System.out.println();\n			System.out.println();		\n		}\n	}\n	// the huga bar method\n	public void newBar(long test) {\n		System.out.println(\"aString\");\n	}\n\n}\n'),(4,NULL,'package test;\n\npublic class TestClassifier {\n    private final String fAddingAttributeModifiability;\n    \n    public final class AddingClassDerivability {}\n    \n    public final void addingMethodOverridability() {}\n    \n    public void methodToCheckAlternativePartDelete() {\n        if (alternativePartDelete == elseDelete) {\n            alternativePartDelete(elseDelete);\n        } else {\n        }\n    }\n\n    public void methodToCheckAlternativePartInsert() {\n        if (alternativePartInsert == elseInsert) {\n            alternativePartInsert(elseInsert);\n        }\n    }\n    \n    private double atributeRenamin;\n    \n    private Integer attributeTypeChange;\n    \n    public void methodToCheckCommentDelete() {\n        // comment delete\n        comment.delete();\n    }\n    \n    public void methodToCheckCommentInsert() {\n        comment.insert();\n    }\n\n    public void methodToCheckCommentMove() {\n        if (commentMoveFrom) {\n            /* comment move */\n            comment.moveFrom();\n        }\n        if (commentMoveTo) {\n            comment.moveTo();\n        }\n    }\n    \n    public void methodToCheckCommentUpdate() {\n        /* comment that will be updated */\n        comment.update();\n    }\n    \n    public void methodToCheckConditionExpressionChange() {\n        if (conditioExpresionChang) {\n        }\n    }\n    \n    public class DecreasingAccessibilityChangeFromPublicToProtected {}\n    public class DecreasingAccessibilityChangeFromPublicToPackage {}\n    public class DecreasingAccessibilityChangeFromPublicToPrivate {}\n    protected class DecreasingAccessibilityChangeFromProtectedToPackage {}\n    protected class DecreasingAccessibilityChangeFromProtectedToPrivate {}\n    class DecreasingAccessibilityChangeFromPackageToPrivate {}\n    \n    public void decreasingAccessibilityChangeFromPublicToProtected() {}\n    public void decreasingAccessibilityChangeFromPublicToPackage() {}\n    public void decreasingAccessibilityChangeFromPublicToPrivate() {}\n    protected void decreasingAccessibilityChangeFromProtectedToPackage() {}\n    protected void decreasingAccessibilityChangeFromProtectedToPrivate() {}\n    void decreasingAccessibilityChangeFromPackageToPrivate() {}\n\n    public Object fDecreasingAccessibilityChangeFromPublicToProtected;\n    public Object fDecreasingAccessibilityChangeFromPublicToPackage;\n    public Object fDecreasingAccessibilityChangeFromPublicToPrivate;\n    protected Object fDecreasingAccessibilityChangeFromProtectedToPackage;\n    protected Object fDecreasingAccessibilityChangeFromProtectedToPrivate;\n    Object fDecreasingAccessibilityChangeFromPackageToPrivate;\n    \n    /**\n     * Doc to delete\n     */\n    public class ClassToCheckDocDelete {}\n    public class ClassToCheckDocInsert {}\n    /**\n     * Doc that will be updated\n     */\n    public class ClassToCheckDocUpdate {}\n    \n    /**\n     * Doc to delete\n     */\n    public void methodToCheckDocDelete() {}\n    public void methodToCheckDocInsert() {}\n    /**\n     * Doc that will be updated\n     */\n    public void methodToCheckDocUpdate() {}\n    \n    /**\n     * Doc to delete\n     */\n    private Object fAttributeToCheckDocDelete;\n    private Object fAttributeToCheckDocInsert;\n    /**\n     * Doc that will be updated\n     */\n    private Object fAttributeToCheckDocUpdate;\n    \n    public void metodRenamin() {}\n    \n    public void methodToCheckParameterDelete(int aInt) {}\n    \n    public void methodToCheckParameterInsert() {}\n    \n    public void methodToCheckParameterOrderingChange(int first, int second, float aMovedParam) {}\n    \n    public void methodToCheckParameterRenaming(Object aRenamePara) {}\n    \n    public void methodToCheckParameterTypeChange(Object first, int typeChange) {}\n    \n    public class ClassToCheckParentClassChange extends Object {}\n    \n    public class ClassToCheckParentClassDelete extends ParentToDelete {}\n\n    public class ClassToCheckParentClassInsert {}\n    \n    public class ClassToCheckParentInterfaceChange implements IIntefaceChang {}\n    \n    public class ClassToCheckParentInterfaceDelete implements ParentInterfaceToDelete, IInterface {}\n\n    public class ClassToCheckParentInterfaceInsert implements IInterface {}\n    \n    public class RemovedClass {}\n    \n    public void methodToCheckRemovedFunctionality() {}\n    \n    private List fAttributeToCheckRemovedObjectState;\n    \n    private String fRemovingAttributeModifiability;\n\n    public class RemovingClassDerivability {}\n\n    public void removingMethodOverridability() {}\n    \n    public Object methodToCheckReturnTypeChange() {}\n    \n    public int methodToCheckReturnTypeDelete() {}\n\n    public void methodToCheckReturnTypeInsert() {}\n    \n    public void methodToCheckStatementDelete(int param) {\n        System.out.println();\n        statement.delete();\n    }\n\n    public void methodToCheckStatementInsert(int param) {\n        System.out.println();\n    }\n\n    public void methodToCheckStatementOrderingChange(int param) {\n        statement.ordering();\n        System.out.println();\n        aMethod.uberL33t();\n    }\n\n    public void methodToCheckStatementParentChange(int param) {\n        System.out.println();\n        statement.parent();\n        if (daNewParent == true) {\n            aMethod.uberL33t();\n            foo.bar();\n            wow.kungen();\n        }\n    }\n\n    public void methodToCheckStatementUpdate(int param) {\n        System.out.println();\n        statment.updae();\n    }\n    \n    private class IncreasingAccessibilityChangeFromPrivateToProtected {}\n    private class IncreasingAccessibilityChangeFromPrivateToPackage {}\n    private class IncreasingAccessibilityChangeFromPrivateToPublic {}\n    class IncreasingAccessibilityChangeFromPackageToProtected {}\n    class IncreasingAccessibilityChangeFromPackageToPublic {}\n    protected class IncreasingAccessibilityChangeFromProtectedToPublic {}\n\n    private void increasingAccessibilityChangeFromPrivateToProtected() {}\n    private void increasingAccessibilityChangeFromPrivateToPackage() {}\n    private void increasingAccessibilityChangeFromPrivateToPublic() {}\n    void increasingAccessibilityChangeFromPackageToProtected() {}\n    void increasingAccessibilityChangeFromPackageToPublic() {}\n    protected void increasingAccessibilityChangeFromProtectedToPublic() {}\n\n    private Object fIncreasingAccessibilityChangeFromPrivateToProtected;\n    private Object fIncreasingAccessibilityChangeFromPrivateToPackage;\n    private Object fIncreasingAccessibilityChangeFromPrivateToPublic;\n    Object fIncreasingAccessibilityChangeFromPackageToProtected;\n    Object fIncreasingAccessibilityChangeFromPackageToPublic;\n    protected Object fIncreasingAccessibilityChangeFromProtectedToPublic;\n}\n'),(5,NULL,'package test;\n\npublic class TestClassifier {\n    private String fAddingAttributeModifiability;\n\n    public class AddingClassDerivability {}\n\n    public void addingMethodOverridability() {}\n    \n    public class AdditionalClass {}\n    \n    public void additionalFunctionality() {}\n    \n    public int fAdditionalObjectState;\n    \n    public void methodToCheckAlternativePartDelete() {\n        if (alternativePartDelete == elseDelete) {\n            alternativePartDelete(elseDelete);\n        }\n    }\n\n    public void methodToCheckAlternativePartInsert() {\n        if (alternativePartInsert == elseInsert) {\n            alternativePartInsert(elseInsert);\n        } else {\n        }\n    }\n    \n    private double attributeRenaming;\n    \n    private Object attributeTypeChange;\n    \n    public void methodToCheckCommentDelete() {\n        comment.delete();\n    }\n    \n    public void methodToCheckCommentInsert() {\n        // comment insert\n        comment.insert();\n    }\n\n    public void methodToCheckCommentMove() {\n        if (commentMoveFrom) {\n            comment.moveFrom();\n        }\n        if (commentMoveTo) {\n            /* comment move */\n            comment.moveTo();\n        }\n    }\n    \n    public void methodToCheckCommentUpdate() {\n        /* comment that was updated */\n        comment.update();\n    }\n    \n    public void methodToCheckConditionExpressionChange() {\n        if (conditionExpressionChange) {\n        }\n    }\n    \n    protected class DecreasingAccessibilityChangeFromPublicToProtected {}\n    class DecreasingAccessibilityChangeFromPublicToPackage {}\n    private class DecreasingAccessibilityChangeFromPublicToPrivate {}\n    class DecreasingAccessibilityChangeFromProtectedToPackage {}\n    private class DecreasingAccessibilityChangeFromProtectedToPrivate {}\n    private class DecreasingAccessibilityChangeFromPackageToPrivate {}\n    \n    protected void decreasingAccessibilityChangeFromPublicToProtected() {}\n    void decreasingAccessibilityChangeFromPublicToPackage() {}\n    private void decreasingAccessibilityChangeFromPublicToPrivate() {}\n    void decreasingAccessibilityChangeFromProtectedToPackage() {}\n    private void decreasingAccessibilityChangeFromProtectedToPrivate() {}\n    private void decreasingAccessibilityChangeFromPackageToPrivate() {}\n\n    protected Object fDecreasingAccessibilityChangeFromPublicToProtected;\n    Object fDecreasingAccessibilityChangeFromPublicToPackage;\n    private Object fDecreasingAccessibilityChangeFromPublicToPrivate;\n    Object fDecreasingAccessibilityChangeFromProtectedToPackage;\n    private Object fDecreasingAccessibilityChangeFromProtectedToPrivate;\n    private Object fDecreasingAccessibilityChangeFromPackageToPrivate;\n    \n    public class ClassToCheckDocDelete {}\n    /**\n     * Doc to insert\n     */\n    public class ClassToCheckDocInsert {}\n    /**\n     * Doc that was updated\n     */\n    public class ClassToCheckDocUpdate {}\n\n    public void methodToCheckDocDelete() {}\n    /**\n     * Doc to insert\n     */\n    public void methodToCheckDocInsert() {}\n    /**\n     * Doc that was updated\n     */\n    public void methodToCheckDocUpdate() {}\n    \n    private Object fAttributeToCheckDocDelete;\n    /**\n     * Doc to insert\n     */\n    private Object fAttributeToCheckDocInsert;\n    /**\n     * Doc that was updated\n     */\n    private Object fAttributeToCheckDocUpdate;\n\n    public void methodRenaming() {}\n    \n    public void methodToCheckParameterDelete() {}\n    \n    public void methodToCheckParameterInsert(int aInt) {}\n    \n    public void methodToCheckParameterOrderingChange(int first, float aMovedParam, int second) {}\n    \n    public void methodToCheckParameterRenaming(Object aRenamedParam) {}\n    \n    public void methodToCheckParameterTypeChange(Object first, String typeChange) {}\n    \n    public class ClassToCheckParentClassChange extends String {}\n    \n    public class ClassToCheckParentClassDelete {}\n    \n    public class ClassToCheckParentClassInsert extends ParentToInsert {}\n\n    public class ClassToCheckParentInterfaceChange implements Collection {}\n\n    public class ClassToCheckParentInterfaceChange implements IInterfaceChange {}\n\n    public class ClassToCheckParentInterfaceDelete implements IInterface {}\n\n    public class ClassToCheckParentInterfaceInsert implements ParentInterfaceToInsert, IInterface {}\n\n    private final String fRemovingAttributeModifiability;\n\n    public final class RemovingClassDerivability {}\n\n    public final void removingMethodOverridability() {}\n    \n    public String methodToCheckReturnTypeChange() {}\n    \n    public void methodToCheckReturnTypeDelete() {}\n\n    public int methodToCheckReturnTypeInsert() {}\n    \n    public void methodToCheckStatementDelete(int param) {\n        System.out.println();\n    }\n\n    public void methodToCheckStatementInsert(int param) {\n        System.out.println();\n        statement.insert();\n    }\n    \n    public void methodToCheckStatementOrderingChange(int param) {\n        System.out.println();\n        aMethod.uberL33t();\n        statement.ordering();\n    }\n    \n    public void methodToCheckStatementParentChange(int param) {\n        System.out.println();\n        if (daNewParent == true) {\n            aMethod.uberL33t();\n            statement.parent();\n            foo.bar();\n            wow.kungen();\n        }\n    }\n\n    public void methodToCheckStatementUpdate(int param) {\n        System.out.println();\n        statement.update();\n    }\n    \n    protected class IncreasingAccessibilityChangeFromPrivateToProtected {}\n    class IncreasingAccessibilityChangeFromPrivateToPackage {}\n    public class IncreasingAccessibilityChangeFromPrivateToPublic {}\n    protected class IncreasingAccessibilityChangeFromPackageToProtected {}\n    public class IncreasingAccessibilityChangeFromPackageToPublic {}\n    public class IncreasingAccessibilityChangeFromProtectedToPublic {}\n\n    protected void increasingAccessibilityChangeFromPrivateToProtected() {}\n    void increasingAccessibilityChangeFromPrivateToPackage() {}\n    public void increasingAccessibilityChangeFromPrivateToPublic() {}\n    protected void increasingAccessibilityChangeFromPackageToProtected() {}\n    public void increasingAccessibilityChangeFromPackageToPublic() {}\n    public void increasingAccessibilityChangeFromProtectedToPublic() {}\n\n    protected Object fIncreasingAccessibilityChangeFromPrivateToProtected;\n    Object fIncreasingAccessibilityChangeFromPrivateToPackage;\n    public Object fIncreasingAccessibilityChangeFromPrivateToPublic;\n    protected Object fIncreasingAccessibilityChangeFromPackageToProtected;\n    public Object fIncreasingAccessibilityChangeFromPackageToPublic;\n    public Object fIncreasingAccessibilityChangeFromProtectedToPublic;\n}\n');
/*!40000 ALTER TABLE `Content` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `File`
--

DROP TABLE IF EXISTS `File`;
CREATE TABLE `File` (
  `DTYPE` varchar(31) NOT NULL,
  `id` bigint(20) NOT NULL auto_increment,
  `path` varchar(255) default NULL,
  `parentDirectory_id` bigint(20) default NULL,
  PRIMARY KEY  (`id`),
  KEY `FK21699C60F31C4A` (`parentDirectory_id`)
) ENGINE=MyISAM AUTO_INCREMENT=6 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `File`
--

LOCK TABLES `File` WRITE;
/*!40000 ALTER TABLE `File` DISABLE KEYS */;
INSERT INTO `File` VALUES ('VersionedFile',1,'/src/test/Test.java',4),('Directory',2,'/',NULL),('Directory',3,'/src',2),('Directory',4,'/src/test',3),('VersionedFile',5,'/src/test/TestClassifier.java',4);
/*!40000 ALTER TABLE `File` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `File_File`
--

DROP TABLE IF EXISTS `File_File`;
CREATE TABLE `File_File` (
  `File_id` bigint(20) NOT NULL,
  `children_id` bigint(20) NOT NULL,
  PRIMARY KEY  (`File_id`,`children_id`),
  UNIQUE KEY `children_id` (`children_id`),
  KEY `FK28E85A5F53655D31` (`File_id`),
  KEY `FK28E85A5F57396511` (`children_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `File_File`
--

LOCK TABLES `File_File` WRITE;
/*!40000 ALTER TABLE `File_File` DISABLE KEYS */;
INSERT INTO `File_File` VALUES (2,3),(3,4),(4,1),(4,5);
/*!40000 ALTER TABLE `File_File` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `File_Revision`
--

DROP TABLE IF EXISTS `File_Revision`;
CREATE TABLE `File_Revision` (
  `File_id` bigint(20) NOT NULL,
  `revisions_id` bigint(20) NOT NULL,
  UNIQUE KEY `revisions_id` (`revisions_id`),
  KEY `FK8AD9F33E4D901408` (`File_id`),
  KEY `FK8AD9F33E3F725C86` (`revisions_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `File_Revision`
--

LOCK TABLES `File_Revision` WRITE;
/*!40000 ALTER TABLE `File_Revision` DISABLE KEYS */;
INSERT INTO `File_Revision` VALUES (1,1),(1,2),(1,3),(5,4),(5,5);
/*!40000 ALTER TABLE `File_Revision` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ModificationReport`
--

DROP TABLE IF EXISTS `ModificationReport`;
CREATE TABLE `ModificationReport` (
  `id` bigint(20) NOT NULL auto_increment,
  `authorNickName` varchar(255) default NULL,
  `authorsEmailAddress` varchar(255) default NULL,
  `commitMessage` longtext,
  `creationTime` datetime default NULL,
  `linesAdd` int(11) NOT NULL,
  `linesDel` int(11) NOT NULL,
  `author_id` bigint(20) default NULL,
  PRIMARY KEY  (`id`),
  KEY `FK20922A10A8923AA5` (`author_id`)
) ENGINE=MyISAM AUTO_INCREMENT=6 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `ModificationReport`
--

LOCK TABLES `ModificationReport` WRITE;
/*!40000 ALTER TABLE `ModificationReport` DISABLE KEYS */;
INSERT INTO `ModificationReport` VALUES (1,'fluri',NULL,'first version','2009-05-22 12:04:07',0,0,1),(2,'fluri',NULL,'second version','2009-05-22 12:04:57',23,27,1),(3,'fluri',NULL,'third version','2009-05-22 12:05:16',4,14,1),(4,'fluri',NULL,'first version','2009-05-22 12:06:18',0,0,1),(5,'fluri',NULL,'second version','2009-05-22 12:06:48',95,93,1);
/*!40000 ALTER TABLE `ModificationReport` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `Module`
--

DROP TABLE IF EXISTS `Module`;
CREATE TABLE `Module` (
  `id` bigint(20) NOT NULL auto_increment,
  `name` varchar(255) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `Module`
--

LOCK TABLES `Module` WRITE;
/*!40000 ALTER TABLE `Module` DISABLE KEYS */;
INSERT INTO `Module` VALUES (1,'/home/cvs-home/changedistiller_test');
/*!40000 ALTER TABLE `Module` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `Module_File`
--

DROP TABLE IF EXISTS `Module_File`;
CREATE TABLE `Module_File` (
  `Module_id` bigint(20) NOT NULL,
  `content_id` bigint(20) NOT NULL,
  PRIMARY KEY  (`Module_id`,`content_id`),
  UNIQUE KEY `content_id` (`content_id`),
  KEY `FK1C1D476FFB40CA63` (`Module_id`),
  KEY `FK1C1D476F7F6C4457` (`content_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `Module_File`
--

LOCK TABLES `Module_File` WRITE;
/*!40000 ALTER TABLE `Module_File` DISABLE KEYS */;
INSERT INTO `Module_File` VALUES (1,1),(1,3),(1,4),(1,5);
/*!40000 ALTER TABLE `Module_File` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `Person`
--

DROP TABLE IF EXISTS `Person`;
CREATE TABLE `Person` (
  `id` bigint(20) NOT NULL auto_increment,
  `email` varchar(255) default NULL,
  `firstName` varchar(255) default NULL,
  `lastName` varchar(255) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `Person`
--

LOCK TABLES `Person` WRITE;
/*!40000 ALTER TABLE `Person` DISABLE KEYS */;
INSERT INTO `Person` VALUES (1,NULL,NULL,NULL);
/*!40000 ALTER TABLE `Person` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `Person_Role`
--

DROP TABLE IF EXISTS `Person_Role`;
CREATE TABLE `Person_Role` (
  `Person_id` bigint(20) NOT NULL,
  `roles_id` bigint(20) NOT NULL,
  PRIMARY KEY  (`Person_id`,`roles_id`),
  KEY `FK49FC872026101994` (`roles_id`),
  KEY `FK49FC87208378F49B` (`Person_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `Person_Role`
--

LOCK TABLES `Person_Role` WRITE;
/*!40000 ALTER TABLE `Person_Role` DISABLE KEYS */;
/*!40000 ALTER TABLE `Person_Role` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `Person_nickNames`
--

DROP TABLE IF EXISTS `Person_nickNames`;
CREATE TABLE `Person_nickNames` (
  `Person_id` bigint(20) NOT NULL,
  `element` varchar(255) default NULL,
  KEY `FK232DE95B8378F49B` (`Person_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `Person_nickNames`
--

LOCK TABLES `Person_nickNames` WRITE;
/*!40000 ALTER TABLE `Person_nickNames` DISABLE KEYS */;
INSERT INTO `Person_nickNames` VALUES (1,'fluri');
/*!40000 ALTER TABLE `Person_nickNames` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `Revision`
--

DROP TABLE IF EXISTS `Revision`;
CREATE TABLE `Revision` (
  `id` bigint(20) NOT NULL auto_increment,
  `number` varchar(255) default NULL,
  `state` varchar(255) default NULL,
  `file_id` bigint(20) default NULL,
  `nextRevision_id` bigint(20) default NULL,
  `previousRevision_id` bigint(20) default NULL,
  `report_id` bigint(20) default NULL,
  `sourceCodeWrapper_id` bigint(20) NOT NULL,
  `branch_fk` bigint(20) default NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `sourceCodeWrapper_id` (`sourceCodeWrapper_id`),
  KEY `FKF44F1BFBAB4068F0` (`nextRevision_id`),
  KEY `FKF44F1BFBF433189F` (`report_id`),
  KEY `FKF44F1BFB3928CE6C` (`previousRevision_id`),
  KEY `FKF44F1BFB3CB14074` (`file_id`),
  KEY `FKF44F1BFB1634F64D` (`branch_fk`),
  KEY `FKF44F1BFB2B7CFC2D` (`sourceCodeWrapper_id`)
) ENGINE=MyISAM AUTO_INCREMENT=6 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `Revision`
--

LOCK TABLES `Revision` WRITE;
/*!40000 ALTER TABLE `Revision` DISABLE KEYS */;
INSERT INTO `Revision` VALUES (1,'1.1','Exp',1,2,NULL,1,1,NULL),(2,'1.2','Exp',1,3,1,2,2,NULL),(3,'1.3','Exp',1,NULL,2,3,3,NULL),(4,'1.1','Exp',5,5,NULL,4,4,NULL),(5,'1.2','Exp',5,NULL,4,5,5,NULL);
/*!40000 ALTER TABLE `Revision` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `Revision_release_entity`
--

DROP TABLE IF EXISTS `Revision_release_entity`;
CREATE TABLE `Revision_release_entity` (
  `revisions_id` bigint(20) NOT NULL,
  `releases_id` bigint(20) NOT NULL,
  PRIMARY KEY  (`revisions_id`,`releases_id`),
  KEY `FKEC06FDFA54EB1EC` (`releases_id`),
  KEY `FKEC06FDF3F725C86` (`revisions_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `Revision_release_entity`
--

LOCK TABLES `Revision_release_entity` WRITE;
/*!40000 ALTER TABLE `Revision_release_entity` DISABLE KEYS */;
/*!40000 ALTER TABLE `Revision_release_entity` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `Role`
--

DROP TABLE IF EXISTS `Role`;
CREATE TABLE `Role` (
  `id` bigint(20) NOT NULL auto_increment,
  `description` varchar(255) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `Role`
--

LOCK TABLES `Role` WRITE;
/*!40000 ALTER TABLE `Role` DISABLE KEYS */;
/*!40000 ALTER TABLE `Role` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `SourceCodeChange`
--

DROP TABLE IF EXISTS `SourceCodeChange`;
CREATE TABLE `SourceCodeChange` (
  `id` bigint(20) NOT NULL auto_increment,
  `changeType` int(11) default NULL,
  `changedEntity_id` bigint(20) NOT NULL,
  `parentEntity_id` bigint(20) NOT NULL,
  `rootEntity_id` bigint(20) NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `FK64FD2A987E514F19` (`rootEntity_id`),
  KEY `FK64FD2A98F1A748F0` (`changedEntity_id`),
  KEY `FK64FD2A98B063F7BA` (`parentEntity_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `SourceCodeChange`
--

LOCK TABLES `SourceCodeChange` WRITE;
/*!40000 ALTER TABLE `SourceCodeChange` DISABLE KEYS */;
/*!40000 ALTER TABLE `SourceCodeChange` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `SourceCodeEntity`
--

DROP TABLE IF EXISTS `SourceCodeEntity`;
CREATE TABLE `SourceCodeEntity` (
  `id` bigint(20) NOT NULL auto_increment,
  `length` int(11) NOT NULL,
  `modifiers` int(11) NOT NULL,
  `offset` int(11) NOT NULL,
  `type` int(11) default NULL,
  `uniqueName` longtext,
  `associated_entity_fk` bigint(20) default NULL,
  PRIMARY KEY  (`id`),
  KEY `FK68C3FACBE7E9A0D5` (`associated_entity_fk`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `SourceCodeEntity`
--

LOCK TABLES `SourceCodeEntity` WRITE;
/*!40000 ALTER TABLE `SourceCodeEntity` DISABLE KEYS */;
/*!40000 ALTER TABLE `SourceCodeEntity` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `StructureEntityVersion`
--

DROP TABLE IF EXISTS `StructureEntityVersion`;
CREATE TABLE `StructureEntityVersion` (
  `id` bigint(20) NOT NULL auto_increment,
  `modifiers` int(11) NOT NULL,
  `type` int(11) default NULL,
  `uniqueName` longtext,
  `revision_id` bigint(20) default NULL,
  `history_fk` bigint(20) default NULL,
  PRIMARY KEY  (`id`),
  KEY `FK42E29CE2A88E39C3` (`revision_id`),
  KEY `FK42E29CE2E01512A0` (`history_fk`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `StructureEntityVersion`
--

LOCK TABLES `StructureEntityVersion` WRITE;
/*!40000 ALTER TABLE `StructureEntityVersion` DISABLE KEYS */;
/*!40000 ALTER TABLE `StructureEntityVersion` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `Transaction`
--

DROP TABLE IF EXISTS `Transaction`;
CREATE TABLE `Transaction` (
  `id` bigint(20) NOT NULL auto_increment,
  `finished` datetime default NULL,
  `started` datetime default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `Transaction`
--

LOCK TABLES `Transaction` WRITE;
/*!40000 ALTER TABLE `Transaction` DISABLE KEYS */;
/*!40000 ALTER TABLE `Transaction` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `Transaction_Revision`
--

DROP TABLE IF EXISTS `Transaction_Revision`;
CREATE TABLE `Transaction_Revision` (
  `Transaction_id` bigint(20) NOT NULL,
  `involvedRevisions_id` bigint(20) NOT NULL,
  PRIMARY KEY  (`Transaction_id`,`involvedRevisions_id`),
  UNIQUE KEY `involvedRevisions_id` (`involvedRevisions_id`),
  KEY `FK3055085C555BCE71` (`Transaction_id`),
  KEY `FK3055085C114A714D` (`involvedRevisions_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `Transaction_Revision`
--

LOCK TABLES `Transaction_Revision` WRITE;
/*!40000 ALTER TABLE `Transaction_Revision` DISABLE KEYS */;
/*!40000 ALTER TABLE `Transaction_Revision` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `delete_op`
--

DROP TABLE IF EXISTS `delete_op`;
CREATE TABLE `delete_op` (
  `change_type` bigint(20) NOT NULL,
  PRIMARY KEY  (`change_type`),
  KEY `FKEA9E88F5A6213463` (`change_type`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `delete_op`
--

LOCK TABLES `delete_op` WRITE;
/*!40000 ALTER TABLE `delete_op` DISABLE KEYS */;
/*!40000 ALTER TABLE `delete_op` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `insert_op`
--

DROP TABLE IF EXISTS `insert_op`;
CREATE TABLE `insert_op` (
  `change_type` bigint(20) NOT NULL,
  PRIMARY KEY  (`change_type`),
  KEY `FKE9158927A6213463` (`change_type`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `insert_op`
--

LOCK TABLES `insert_op` WRITE;
/*!40000 ALTER TABLE `insert_op` DISABLE KEYS */;
/*!40000 ALTER TABLE `insert_op` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `move_op`
--

DROP TABLE IF EXISTS `move_op`;
CREATE TABLE `move_op` (
  `change_type` bigint(20) NOT NULL,
  `newEntity_id` bigint(20) NOT NULL,
  `newParentEntity_id` bigint(20) NOT NULL,
  PRIMARY KEY  (`change_type`),
  KEY `FK4A1F590FA6213463` (`change_type`),
  KEY `FK4A1F590F7B140B84` (`newEntity_id`),
  KEY `FK4A1F590FD4E5DA1A` (`newParentEntity_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `move_op`
--

LOCK TABLES `move_op` WRITE;
/*!40000 ALTER TABLE `move_op` DISABLE KEYS */;
/*!40000 ALTER TABLE `move_op` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `release_entity`
--

DROP TABLE IF EXISTS `release_entity`;
CREATE TABLE `release_entity` (
  `id` bigint(20) NOT NULL auto_increment,
  `name` varchar(255) default NULL,
  `timeStamp` datetime default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `release_entity`
--

LOCK TABLES `release_entity` WRITE;
/*!40000 ALTER TABLE `release_entity` DISABLE KEYS */;
/*!40000 ALTER TABLE `release_entity` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `update_op`
--

DROP TABLE IF EXISTS `update_op`;
CREATE TABLE `update_op` (
  `change_type` bigint(20) NOT NULL,
  `newEntity_id` bigint(20) NOT NULL,
  PRIMARY KEY  (`change_type`),
  KEY `FK8BD19917A6213463` (`change_type`),
  KEY `FK8BD199177B140B84` (`newEntity_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `update_op`
--

LOCK TABLES `update_op` WRITE;
/*!40000 ALTER TABLE `update_op` DISABLE KEYS */;
/*!40000 ALTER TABLE `update_op` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2009-06-04 16:58:35
